GET /v2/videos/search

shutterstock.com

Summary: Search for videos
Operation ID: searchVideos
Auth: unknown
Description

This endpoint searches for videos. If you specify more than one search parameter, the API uses an AND condition. Array parameters can be specified multiple times; in this case, the API uses an AND or an OR condition with those values, depending on the parameter. You can also filter search terms out in the `query` parameter by prefixing the term with NOT.

Parameters (29)

added_date (string, query, optional)

Show videos added on the specified date

added_date_end (string, query, optional)

Show videos added before the specified date

added_date_start (string, query, optional)

Show videos added on or after the specified date

aspect_ratio (string, query, optional)

Show videos with the specified aspect ratio

Constraints: {'enum': [43, 169, 'nonstandard']}

category (string, query, optional)

Show videos with the specified Shutterstock-defined category; specify a category name or ID

contributor (array, query, optional)

Show videos with the specified artist names or IDs

contributor_country (array, query, optional)

Show videos from contributors in one or more specified countries

duration (integer, query, optional)

(Deprecated; use duration_from and duration_to instead) Show videos with the specified duration in seconds

duration_from (integer, query, optional)

Show videos with the specified duration or longer in seconds

duration_to (integer, query, optional)

Show videos with the specified duration or shorter in seconds

fps (number, query, optional)

(Deprecated; use fps_from and fps_to instead) Show videos with the specified frames per second

fps_from (number, query, optional)

Show videos with the specified frames per second or more

fps_to (number, query, optional)

Show videos with the specified frames per second or fewer

keyword_safe_search (boolean, query, optional, default: True)

Hide results with potentially unsafe keywords

language (?, query, optional)

Set query and result language (uses Accept-Language header if not set)

license (array, query, optional)

Show only videos with the specified license or licenses

model (array, query, optional)

Show videos with each of the specified models

page (integer, query, optional, default: 1)

Page number

Constraints: {'minimum': 1}

people_age (string, query, optional)

Show videos that feature people of the specified age range

Constraints: {'enum': ['infants', 'children', 'teenagers', '20s', '30s', '40s', '50s', '60s', 'older']}

people_ethnicity (array, query, optional)

Show videos with people of the specified ethnicities

people_gender (string, query, optional)

Show videos with people with the specified gender

Constraints: {'enum': ['male', 'female', 'both']}

people_model_released (boolean, query, optional)

Show only videos of people with a signed model release

people_number (integer, query, optional)

Show videos with the specified number of people

Constraints: {'minimum': 0, 'maximum': 4}

per_page (integer, query, optional, default: 20)

Number of results per page

Constraints: {'minimum': 0, 'maximum': 500}

query (string, query, optional)

One or more search terms separated by spaces; you can use NOT to filter out videos that match a term

resolution (string, query, optional)

Show videos with the specified resolution

Constraints: {'enum': ['4k', 'standard_definition', 'high_definition']}

safe (boolean, query, optional, default: True)

Enable or disable safe search

sort (string, query, optional, default: popular)

Sort by one of these categories

Constraints: {'enum': ['newest', 'popular', 'relevance', 'random']}

view (string, query, optional, default: minimal)

Amount of detail to render in the response

Constraints: {'enum': ['minimal', 'full']}

No probe data for this endpoint yet.